%define name task-erp5
%define version 1.0
%define erp5_version 5.4
%define release %mkrel 2

Summary: Metapackage for ERP5
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Servers
Url: http://www.erp5.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %mdkversion >= 201000
BuildArch: noarch
%endif
Requires: erp5-ERP5 >= %{erp5_version}
# Database
Suggests: mysql-max
# OOo server
Suggests: openoffice.org-oood
# PortalTransforms
Suggests: rtf-converter
Suggests: rtf2xml
Suggests: poppler
#Suggests: lynx
Suggests: w3m
Suggests: ocropus
# Psyco is only available for ix86 architecture
%ifarch %{ix86}
Suggests: python2.4-psyco
%endif

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running ERP5.

%files

%package devel
Summary: Metapackage for ERP5 Development
Group: System/Libraries
Release: %mkrel 2
Requires: erp5-ERP5Subversion
Requires: erp5-DCWorkflowGraph
Requires: erp5-Zelenium
Requires: erp5-ExternalEditor
Requires: zopeedit
Requires: python2.4-mechanize

%description devel
This package is a meta-package, meaning that its purpose is to contain
dependencies or suggestions for developing ERP5.

%files devel

%package buildout
Summary: Metapackage for ERP5 buildout
Group: System/Libraries
Release: %mkrel 2
Requires: gcc
Requires: python2.4-devel
Requires: mysql-devel
Requires: imagemagick
Requires: patch
Requires: openldap2-devel
Requires: openssl-devel
Requires: libxslt-devel libxml2-devel
Requires: glib2-devel
Requires: make
Requires: python2.4-pysvn
# Database
Suggests: mysql-max
# OOo server
Suggests: openoffice.org-oood
# PortalTransforms
Suggests: rtf-converter
Suggests: rtf2xml
Suggests: poppler
#Suggests: lynx
Suggests: w3m
Suggests: ocropus

%description buildout
This package is a meta-package, meaning that its purpose is to contain
dependencies or suggestions for ERP5 buildout.

%files buildout

%package -n pyuno-mandriva
Summary: Installing Mandriva's pyuno package
Group: System/Libraries
Release: %mkrel 1
Provides: pyuno
%if %mdkversion < 201000
%ifarch x86_64
Requires: openoffice.org64
Requires: openoffice.org64-pyuno
%else
Requires: openoffice.org
Requires: openoffice.org-pyuno
%endif
%else
Requires: openoffice.org
Requires: openoffice.org-pyuno
%endif
Suggests: openoffice.org-filter-binfilter

%description -n pyuno-mandriva
This package is a meta-package, meaning that its purpose is to contain
dependencies for installing Mandriva's pyuno package.

%files -n pyuno-mandriva

%package -n pyuno-official
Summary: Installing OOo's official pyuno package
Group: System/Libraries
Release: %mkrel 2
Provides: pyuno
Requires: openoffice.org3-calc
Requires: openoffice.org3-draw
Requires: openoffice.org3-impress
Requires: openoffice.org3-math
Requires: openoffice.org3-writer
Requires: ooobasis3.1-binfilter
Requires: ooobasis3.1-graphicfilter
Requires: ooobasis3.1-javafilter
Requires: ooobasis3.1-pyuno
Requires: ooobasis3.1-xsltfilter

%description -n pyuno-official
This package is a meta-package, meaning that its purpose is to contain
dependencies for installing OOo's official pyuno package.

%files -n pyuno-official

%changelog
* Fri Nov 13 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com>
- add 'Suggests: openoffice.org-filter-binfilter' in pyuno-mandriva

* Fri Nov 13 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com>
- add more suggests in task-erp5-buildout

* Thu Oct 29 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com>
- provide task-erp5-buildout
- use openoffice.org-pyuno instead of openoffice.org64-pyuno for Mandriva
  2010.0 or later
- official OOo versino is now 3.1
- add more filter packages in pyuno-official's requirements

* Tue Mar  3 2009 Kazuhiko Shiozaki <kazuhiko@nexedi.com> 1.0-2nxd2009.0
- version 5.4

* Thu Dec 11 2008 Kazuhiko Shiozaki <kazuhiko@nexedi.com>
- add zopeedit in task-erp5-devel-1.0-2mdv2009.0.

* Thu Nov 27 2008 Kazuhiko Shiozaki <kazuhiko@fdiary.net> 1.0-1nxd2009.0
- intial package.
